/*-----------------------------------------------------------------------------------------
 Arquivo: funcoes.js
 Objetivo: Diversas funes em javascript
 usar entre as tags <head> e </head>
-----------------------------------------------------------------------------------------*/

//++++++++++++++++		INDICE		+++++++++++++++++++

/*
NDICE											DESCRIO	
cadeia_numerica    								verifica-se se string s contm nmeros
ver_numeros		                                verifica-se se string s contm determinada quantidade de nmeros
verifica_se_numero                              verifica se um uma string s possui nmeros 
verifica_digito									verifica se um caracter  um dgito
verifica_data									verifica se a data  vlida no formato dd/mm/aaaa
verifica_email									verifica se um email vlido
verifica_cep									verifica se um cep vlido no formato 11111-111
limpa_form										limpa o form
remove_cadeia									remove uma determinada cadeia de uma string
replace											substitui em uma string uma cadeia de caracteres por outra
ltrim											Remove os espaos  esquerda de uma string
rtrim											Remove os espaos  direita de uma string
trim											Remove os espaos  esquerda e  direita de uma string	
*/


//++++++++++++++++		FUNES		++++++++++++++++++++++++++++



//+++++++++++++++	CADEIA_NUMERICA		+++++++++++++
/*recebe uma string, verifica-se se essa string s contm nmeros, retornando verdadeiro ou falso*/
function cadeia_numerica(str)
{	
	var tam = str.length;
	var nome = str;
   	var i = 0;
     for(; i < tam ; i++)
	 { 	caracter = nome.substring(i,i+1);   //charAt(i);
		if ( caracter < "0" || caracter > "9" )
		{   i = tam + 1000;
			return false;
		}
	 }	
	 return true;
}	
//+++++++++++++++++++++++++++++++++++++++++++++++++++++	



//++++++++++++++	VER_NUMERO		+++++++++++++++++++
//verifica se um uma string s possui nmeros e se possui um tamnho pre-determinado.
function ver_numero(obj,qtd) 
{	if (obj.value.length == qtd)
	{
		for (i=0 ; i<obj.value.length ; i++) 
		{	carac = obj.value.charAt(i);					
			if (carac<'0' || carac>'9') 
			{return false;}
		}
		return true;
	}
	else 
	{return false;}					
}	
//+++++++++++++++++++++++++++++++++++++++++++++++++++++

//++++++++++++++	VERIFICA_SE_NUMERO		+++++++++++++++++++
//verifica se um uma string s possui nmeros. 
function verifica_se_numero(obj) 
{	for (i=0 ; i<obj.value.length ; i++) 
		{	carac = obj.value.charAt(i);
			if (carac<'0' || carac>'9') 
			{return false;}
		}
		return true;
}	
//+++++++++++++++++++++++++++++++++++++++++++++++++++++


//+++++++++++++++++++++++++++++++++++++++++++++++++++++	
/*recebe um caracter, e verifica se este caracter  um dgito, retornando verdadeiro ou falso*/
function verifica_digito (c)
{   if ( c==0 || c==1 || c==2 || c==3 || c==4 || c==5 || c==6 || c==7 || c==8 || c==9 ) 
	{	return true
	}
	else
	{	return false
	}	
}
//+++++++++++++++++++++++++++++++++++++++++++++++++++++	
		
		
		
//+++++++++++++		VERIFICA_DATA		+++++++++++++++			
/*recebe um obj e verifica se uma data  vlida no formato dd/mm/aaaa, retornando verdadeiro ou falso*/
function verifica_data(obj)
{	if ( (obj.value.charAt(2)=="/") && (obj.value.charAt(5)=="/") && (obj.value.length ==10) )
		{	 VerForma = true;
		}
	else 
		{	VerForma = false;
		}
	if (     cadeia_numerica( obj.value.substring(0,2) )    ) 
		{	dia = obj.value.substring(0,2);
			VerNum1 = true;
		}					
	else 
		{	dia = 0;
			VerNum1 = false;
		}	
	if ( cadeia_numerica( obj.value.substring(3,5) )   ) 
		{   mes = obj.value.substring(3,5) ;
			VerNum2 = true;
		}
	else
		{	mes = 0; 
			VerNum2 = false;
		}
	if ( cadeia_numerica(obj.value.substring(6,10))    ) 
		{	ano = obj.value.substring(6,10);
			VerNum3 = true;
		}
	else
		{	ano = 0; 
			VerNum3 = false;			
		}
	if (   ((mes==1) || (mes==3) || (mes==5) || (mes==7) || (mes==8) || (mes==10) || (mes==12))  && ((dia >=1) && (dia<=31))   )
		{	 VerMes1 = true;
		}
	else 
		{	VerMes1 = false;
		}
	if (     ( (mes==4) || (mes==6) || (mes==9) || (mes==11) )  &&  ( (dia>=1) && (dia<=30) )      )
		{	VerMes2 = true;
		}
	else
		{	VerMes2 = false;
		}
	if (  (mes==2) && (dia>=1) && (dia<=28)  )
		{	VerMes3 = true;
		}
	else
		{	VerMes3 = false;
		}
	if (    (mes==2) && (dia==29) && ( (ano %4) == 0 )     ) 
		{	VerMes4 = true;
		}
	else
		{	VerMes4 = false;	
		}
	if ( (ano>=1970) && (ano<=2099) )
		{	VerAno = true; 
		}
	else
		{	VerAno = false;
		}	
	if (    (VerForma) && (VerAno) && (VerNum1) && (VerNum2) && (VerNum3)  &&  (  (VerMes1) || (VerMes2) || (VerMes3) || (VerMes4)  )     )
		{	return true; 
		}
	else 
		{	return false;		
		}
}
//+++++++++++++++++++++++++++++++++++++++++++++++++++++



//+++++++++++++		VERIFICA_EMAIL	++++++++++++++++++++
/*recebe um objeto e verifica se  um email vlido, retornando verdadeiro ou falso*/
function verifica_email(obj)
{	a = obj.value.length	
	b = obj.value.indexOf("@")	
	c = obj.value.substring( b+1, a)
    if ( (obj.value.length < 6) ||
   		 (obj.value.indexOf("@") == -1) || 
  		 (obj.value.indexOf(".") == -1) ||
   		 (obj.value.indexOf("@") == 0)  ||
   		 (obj.value.indexOf("@.") != -1) ||
   		 (obj.value.indexOf(".@") != -1) ||
		 (obj.value.indexOf("..") != -1) ||
		 (obj.value.indexOf(" ")!= -1) ||
		 (c.indexOf("@")!= -1)	)		 
		 {	return false;
		 }
	else
	{return true}	 
}
//+++++++++++++++++++++++++++++++++++++++++++++++++++++



//++++++++++++++	VERIFCA_CEP		++++++++++++++++++++
/*recebe um objeto e verifica se  um cep vlido, retornado verdadeiro ou falso*/
function verifica_cep(obj)
{	if ( (obj.value.indexOf("-") != 5) || (obj.value.length != 9)  || (  !(cadeia_numerica(replace(obj.value,"-","")))) )   
		{ return false}
	else
		{return true}
}	
//+++++++++++++++++++++++++++++++++++++++++++++++++++++



//+++++++++++++++		LIMPAR_FORM		++++++++++++++++
/*Recebe: numero da ordem do formulrio no documento e limpa o form*/
function limpar_form(num_form) 
{
	maxi=document.forms[num_form].elements.length-1;
	for (i=0;i<=maxi;i++) 
	{	tipo=document.forms[num_form].elements[i].type;
		if (tipo=='select-one')
		 {	document.forms[num_form].elements[i].options[0].selected=true;
		 }
		if (tipo=='text' || tipo=='password')
		 {	document.forms[num_form].elements[i].value='';
		 }
		if (tipo=='checkbox' || tipo=='radio') 
		{	document.forms[num_form].elements[i].checked=false;
		}
	}
}
//+++++++++++++++++++++++++++++++++++++++++++++++++++++



//++++++++++++++++		LTRIM	+++++++++++++++++++++++
/* recebe uma string e retira todos os espaos  esquerda da palavra*/
function ltrim(str)
{ tam = str.length				
  ch = str.charAt(0)
  i = 0
  while	(ch == " ")
	{ 	i++	
		ch = str.charAt(i)
	}
  return str.substring(i,tam)
}		
//+++++++++++++++++++++++++++++++++++++++++++++++++++++



//++++++++++++++++		RTRIM	+++++++++++++++++++++++
/* recebe uma string e retira todos os espaos  direita da palavra*/
function rtrim(str)
{ tam = str.length				
  ch = str.charAt(tam - 1)
  i = tam  
  while	(ch == " ")
	{ 	i --	
		ch = str.charAt(i)
	}
  return str.substring(0,i+1)
}		
//+++++++++++++++++++++++++++++++++++++++++++++++++++++



//++++++++++++++++		TRIM	+++++++++++++++++++++++
/* recebe uma string e retira todos os espaos  direita e  esquerda dela */
function trim(str)
{ return ltrim(rtrim(str)) 
}
//+++++++++++++++++++++++++++++++++++++++++++++++++++++



//+++++++++++++++		REPLACE		+++++++++++++++++++
//substitui um caracter por outro 
function replace(s,velho,novo)
{   nova_str = ""
	cont=0;
	tam= (s.length);
	indice = tam - 1
	tam_velho = (velho.length)
	indice_velho = tam_velho - 1
	if (tam < tam_velho )
	{ nova_str = s}
	else
	{
		while (cont <= indice-indice_velho)
		{	aux = ""
			aux = s.substring(cont,cont+tam_velho);
			if (aux == velho) 
			{ nova_str += novo
			  cont += (tam_velho)
			  if (cont > indice-indice_velho)
			  { nova_str += s.substring(cont,tam)}	 
			}
			else
			{ if (cont+tam_velho == tam) 
				{nova_str += s.substring(tam-tam_velho,tam)}
			  else
			   	{nova_str += aux.charAt(0)
				}
			  cont++		
			}
         }	
	}
	return nova_str;	
}
//+++++++++++++++++++++++++++++++++++++++++++++++++++++

//+++++++++++++		REMOVE CADEIA	+++++++++++++++++++
/*recebe uma string e umaa cadeia  ser removida.
  remove uma determinada cadeia de uma string.*/  
function remove_cadeia (s, c)
{return replace(s,c,"")
}
//+++++++++++++++++++++++++++++++++++++++++++++++++++++

// verifica se string esta vazia
function esta_vazio(obj)
{
	str = trim(obj.value);
	if (str.length==0)
		return true;
	else
		return false;	
}

//verifica se o campo possui menos de trs caracteres
function verifica_tamanho_campo(obj,tamanho)
{
	str = trim(obj.value);
	if (str.length >= tamanho)
		return true;
	else
		return false;	
}